%define pypi_name et_xmlfile

Name:       python-%{pypi_name}
Version:    1.1.0
Release:    %mkrel 3
Summary:    An implementation of lxml.xmlfile for the standard library
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/et-xmlfile/
Source0:    %{pypi_source}
BuildArch:  noarch

%description
et_xmlfile is a low memory library for creating large XML files.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
et_xmlfile is a low memory library for creating large XML files.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files et_xmlfile

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 1.1.0-3.mga10
+ Revision: 2017396
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1.0-2.mga9
+ Revision: 1823770
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.1.0-1.mga9
+ Revision: 1784991
- version 1.1.0
- rebuild for python-3.10

* Sun Mar 21 2021 guillomovitch <guillomovitch> 1.0.1-4.mga9
+ Revision: 1707143
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.0.1-3.mga8
+ Revision: 1608270
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sat Apr 18 2020 guillomovitch <guillomovitch> 1.0.1-1.mga8
+ Revision: 1569119
- imported package python-et_xmlfile

